export type WatchState = {
    running: boolean;
    last_changed_file: string;
    current_view: 'default' | 'pattern';
    file_pattern: string;
    cursor_pos: number;
    selected_row: number;
    selection_active: boolean;
    selected_file: null | string;
};
/**
 * @param {import('./config').Config} config
 * @param {string[]} patterns
 * @param {(test_cases: import('./runner').TestCase[]) => Promise<void>} onChange
 */
export function createWatcher(config: import('./config').Config, onChange: (test_cases: import('./runner').TestCase[]) => Promise<void>): Promise<void>;
