/**
 * Get tests result summary data
 * @param {import('./config').Config} config
 * @param {import('./internal').TestResult[]} results
 * @private
 */
export function getResults(config: import('./config').Config, results: import('./internal').TestResult[]): {
    success: import("./internal").TestResult[];
    errored: import("./internal").TestResult[];
    flaky: import("./internal").TestResult[];
    skipped: import("./internal").TestResult[];
    expectedToFail: false | import("./internal").TestResult[];
    expectedToFailButPassed: false | import("./internal").TestResult[];
    todo: import("./internal").TestResult[];
    running: import("./internal").TestResult[];
    all: import("./internal").TestResult[];
};
/**
 * Summarize test results for PDF.
 * @hidden
 * @param {*} config The pentf configuration object.
 * @param {import('./internal').TestResult[]} tests All finished tests.
 * @returns {string} A string with counts of the results.
 **/
export function resultCountString(config: any, tests: import('./internal').TestResult[]): string;
